package com.cityguide;

import android.app.Activity;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;




public class Restaurants extends Activity {  
	
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
	super.onConfigurationChanged(newConfig);
	}
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.restaurants); 
    
    
    final ImageButton index = (ImageButton) findViewById(R.id.logodown);
    index.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openIndexActivity();
        }
    });

    final ImageButton train = (ImageButton) findViewById(R.id.train);
    train.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openTram_mapActivity();
         }
     });
    
    final ImageButton bus = (ImageButton) findViewById(R.id.bus);
    bus.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openBus_mapActivity();
         }
     });

    final Button polish = (Button) findViewById(R.id.polish);
    polish.setOnClickListener(new Button.OnClickListener() {
        public void onClick(View v) {
        	openRest_polishActivity();
        }
        });
    
    final Button international = (Button) findViewById (R.id.international);
    international.setOnClickListener(new Button.OnClickListener() {
    	public void onClick(View v) {
    		openRest_internationalActivity();
    		
    	}});
    
    final Button american = (Button) findViewById (R.id.american);
    american.setOnClickListener(new Button.OnClickListener() {
    	public void onClick(View v) {
    		openRest_americanActivity();
    		
    	}});
    
    final Button european = (Button) findViewById (R.id.european);
    european.setOnClickListener(new Button.OnClickListener() {
    	public void onClick(View v) {
    		openRest_europeanActivity();
    		
    	}});
    
    final Button asian = (Button) findViewById (R.id.asian);
    asian.setOnClickListener(new Button.OnClickListener() {
    	public void onClick(View v) {
    		openRest_asianActivity();
    		
    	}});
    
    final Button quickeat = (Button) findViewById (R.id.quickeat);
    quickeat.setOnClickListener(new Button.OnClickListener() {
    	public void onClick(View v) {
    		openRestaurants_quickeatActivity();
    		
    	}});
   
    
    
	}
    
     
	private void openIndexActivity() {
    	startActivity(new Intent(this,Index.class));
    }
	
	private void openTram_mapActivity() {
    	startActivity(new Intent(this,Tram_map.class));
    }
    
    private void openBus_mapActivity() {
    	startActivity(new Intent(this,Bus_map.class));
    }

    private void openRest_polishActivity() {
    	startActivity(new Intent(this,Rest_polish.class));
    	   	    }
    
    private void openRest_internationalActivity() {
    	startActivity(new Intent(this,Rest_international.class));
    }
    
    private void openRest_americanActivity() {
    	startActivity(new Intent(this,Rest_american.class));
    }
    
    private void openRest_europeanActivity() {
    	startActivity(new Intent(this,Rest_european.class));
    }
    
    private void openRest_asianActivity() {
    	startActivity(new Intent(this,Rest_asian.class));
    }
    
    private void openRestaurants_quickeatActivity() {
    	startActivity(new Intent(this,Restaurants_quickeat.class));
    }
}